NotFoundELResolver (JSP 3.1 API Documentation - Apache Tomcat 10.1.55)
Description: declaration: package: jakarta.servlet.jsp.el, class: NotFoundELResolver

# Class NotFoundELResolver

java.lang.Object
jakarta.el.ELResolver
jakarta.servlet.jsp.el.NotFoundELResolver

public class NotFoundELResolver extends jakarta.el.ELResolver
The final resolver of the Jakarta Pages ELResolver chain. It always resolves the requested value, returning `null` when it does so.

Since:
  JSP 3.1

- ## Field Summary

  ### Fields inherited from class jakarta.el.ELResolver

  `RESOLVABLE_AT_DESIGN_TIME, TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotFoundELResolver()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<String>`
  `getCommonPropertyType(jakarta.el.ELContext context, Object base)`
  Obtain the most common type that is acceptable for the given base object.
  `Iterator<FeatureDescriptor>`
  `getFeatureDescriptors(jakarta.el.ELContext context, Object base)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Class<Object>`
  `getType(jakarta.el.ELContext context, Object base, Object property)`
  Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
  `Object`
  `getValue(jakarta.el.ELContext context, Object base, Object property)`
  Obtain the value of the given property on the given object using the given context.
  `boolean`
  `isReadOnly(jakarta.el.ELContext context, Object base, Object property)`
  Determine if the given property on the given object is read-only using the given context.
  `void`
  `setValue(jakarta.el.ELContext context, Object base, Object property, Object value)`
  Set the value of the given property on the given object using the given context.

  ### Methods inherited from class jakarta.el.ELResolver

  `convertToType, invoke`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NotFoundELResolver

    public NotFoundELResolver()
    Default constructor.

- ## Method Details

  - ### getValue

    public Object getValue(jakarta.el.ELContext context, Object base, Object property)
    Obtain the value of the given property on the given object using the given context.

    Resolves the property and always returns `null` unless the provided context contains a Boolean object with value `Boolean.TRUE` as the value associated with the key `jakarta.servlet.jsp.el.NotFoundELResolver.class` in which case an exception is thrown. This is to support implementation of the `errorOnELNotFound` page/tag directive.

    Specified by:
      `getValue` in class `jakarta.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be returned
    Returns:
      Always `null`
    Throws:
      `jakarta.el.PropertyNotFoundException` - if the provided context contains a Boolean object with value `Boolean.TRUE` as the value associated with the key `jakarta.servlet.jsp.el.NotFoundELResolver.class`

  - ### getType

    public Class<Object> getType(jakarta.el.ELContext context, Object base, Object property)
    Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.

    In normal usage, `ScopedAttributeELResolver` will have responded.

    Specified by:
      `getType` in class `jakarta.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose type is to be returned
    Returns:
      Always `null`

  - ### setValue

    public void setValue(jakarta.el.ELContext context, Object base, Object property, Object value)
    Set the value of the given property on the given object using the given context.

    No-op. In normal usage, `ScopedAttributeELResolver` will have responded.

    Specified by:
      `setValue` in class `jakarta.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property whose value is to be set
      `value` - The value to set the property to

  - ### isReadOnly

    public boolean isReadOnly(jakarta.el.ELContext context, Object base, Object property)
    Determine if the given property on the given object is read-only using the given context.

    In normal usage, `ScopedAttributeELResolver` will have responded.

    Specified by:
      `isReadOnly` in class `jakarta.el.ELResolver`
    Parameters:
      `context` - The EL context for this evaluation
      `base` - The base object on which the property is to be found
      `property` - The property to be checked for read only status
    Returns:
      Always `false`

  - ### getFeatureDescriptors

    @Deprecated(forRemoval=true, since="JSP 3.1") public Iterator<FeatureDescriptor> getFeatureDescriptors(jakarta.el.ELContext context, Object base)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `jakarta.el.ELResolver`
    Obtain the feature descriptors for the resolvable properties of the given object.

    The default implementation returns `null`.

    Overrides:
      `getFeatureDescriptors` in class `jakarta.el.ELResolver`
    Parameters:
      `context` - The context in which the examination takes place
      `base` - The object to examine
    Returns:
      An iterator, possibly empty, of feature descriptors of the given object

  - ### getCommonPropertyType

    public Class<String> getCommonPropertyType(jakarta.el.ELContext context, Object base)
    Obtain the most common type that is acceptable for the given base object.

    In normal usage, `ScopedAttributeELResolver` will have responded.

    Specified by:
      `getCommonPropertyType` in class `jakarta.el.ELResolver`
    Parameters:
      `context` - The context in which the examination takes place
      `base` - The object to examine
    Returns:
      Always `null`